Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Nov 2025 15:24:57 -0800

"brian m. carlson" <[email-masked]> writes:

> On 2025-11-18 at 00:13:40, Junio C Hamano wrote:
>> Thanks.
>> 
>>     $ git log --oneline --first-parent -4 seen
>>     3f252ac9fe Merge branch 'ar/run-command-hook' into seen
>>     672cb7c62e ### CI
>>     3af201233b Merge branch 'bc/sha1-256-interop-02' into seen
>>     950efaac03 Merge branch 'cc/fast-import-strip-if-invalid' into seen
>> 
>> It seems that 672cb7c62e (which is an empty commit on top of the
>> merge of v2 of this series) fails win+Meson
>> 
>>   https://github.com/git/git/actions/runs/19447841443/job/55646336507#step:6:689
>> 
>> but 950efaac03 (which is the merge before v2 of this series is
>> merged to 'seen') is happy with it.
>> 
>>   https://github.com/git/git/actions/runs/19448271167/job/55647611566
>> 
>> These two runs roughly corresponds to the with=bad/without=good pair
>> in the message you are reponding to, but with the v1 of this series.
>
> Yes, I think we'll need someone familiar with Windows to take a look at
> that.  The message doesn't indicate anything obvious and I don't have
> any Windows systems available to investigate.
>
> My guess is that it's something to do with the build.rs file, but I'm
> not certain.

Today's pushout includes jk/ci-windows-meson-test-fix that restores
the ability to show the failure log from win+Meson jobs, so we will
hopefully see something a bit more usable than what we saw in the
previous runs.

Thanks.